DVMRPD(8)

NAME
dvmrpd - Distance Vector Multicast Routing Protocol (DVMRP) daemon

SYNOPSIS
dvmrpd [-dnv] [-f file]

DESCRIPTION
dvmrpd is the Distance Vector Multicast Routing Protocol (DVMRP) daemon, which manages multicast routing tables. This implementation supports DVMRP version 3.255, thus it is only capable of maintaining IPv4 multicast routing tables.

DVMRP uses a distance vector routing algorithm to build reverse path multicast delivery trees. A flood and prune approach is used to determine which branches in the network have multicast listeners. The usual drawbacks of a distance vector route protocol applies to DVMRP: slow convergence and scalability issues.

DVMRP routers communicate via the multicast group 224.0.0.4 All DVMRP Routers. IP protocol number 2 (IGMP) is used, furthermore DVMRP packets omit the use of TCP and UDP.

It is possible to interconnect multicast networks with the use of tunnels. Tunnels can traverse routers and networks not supporting multicast. dvmrpd does not support tunneling as described in RFC 1075, since it has been abandoned. dvmrpd can tunnel multicast traffic using generic solutions such as gre(4).

DVMRP is used for handling multicast routing exclusively. It is not required that a unicast routing protocol is used in conjunction with DVMRP.

To have dvmrpd enabled at boot time, use “rcctl enable dvmrpd”, which sets

    dvmrpd_flags=""

in rc.conf.local(8).

A running dvmrpd can be controlled with the dvmrpctl(8) utility.

The options are as follows:

-d  Do not daemonize. If this option is specified, dvmrpd will run in the foreground and log to stderr.

-f file
    Specify an alternative configuration file.

-n  Configtest mode. Only check the configuration file for validity.

-v  Produce more verbose output.

FILES
/etc/dvmrpd.conf
    Default dvmrpd configuration file.
/var/run/dvmrpd.sock
    UNIX-domain socket used for communication with dvmrpctl(8).

SEE ALSO
dvmrpd.conf(5), dvmrpctl(8)

STANDARDS
August 2000, draft-ietf-idmr-dvmrp-v3-11, DVMRP Version 3.

HISTORY
The dvmrpd program first appeared in OpenBSD 4.0.